<template>
  <div>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css"
    />

    <button class="sidebar-toggle" @click="show = !show">
      <i class="fas fa-bars"></i>
    </button>

    <!-- sidebar -->
    <aside class="sidebar" v-bind:class="{ show_sidebar: show }">
      <div class="sidebar-header">
        <img src="../assets/FSD_logo.png" class="logo" alt="" />
        <button class="close-btn" @click="show = !show">
          <i class="fas fa-times"></i>
        </button>
      </div>
      <!-- links -->
      <ul class="links">
        <li>
          <router-link to="/" class="nav-link">Home</router-link>
        </li>
        <li>
          <router-link to="/introduction" class="nav-link"
            >introduction</router-link
          >
        </li>
        <li>
          <router-link to="/table_of_content" class="nav-link"
            >Table of content</router-link
          >
        </li>
        <li>
          <!-- <router-link to="/chapter_one" class="nav-link">A jewel in the crown</router-link> -->
          <a @click="navigate('chapter_one')" class="nav-link pointer">
            A jewel in the crown
          </a>
        </li>
        <li>
          <!-- <router-link to="/chapter_two" class="nav-link">Diamond in the dirt</router-link> -->
          <a @click="navigate('chapter_two')" class="nav-link pointer">
            Diamond in the dirt
          </a>
        </li>
        <li>
          <a @click="navigate('chapter_three')" class="nav-link pointer">
            Patterned for perfection
          </a>
          <!-- <router-link to="/chapter_one" class="nav-link"
            >Patterned for perfection</router-link
          > -->
        </li>
        <li>
          <a @click="navigate('chapter_four')" class="nav-link pointer">
            The king of bling
          </a>
          <!-- <router-link to="/chapter_one" class="nav-link"
            >The talisman of trust</router-link
          > -->
        </li>
        <li>
          <a @click="navigate('chapter_five')" class="nav-link pointer">
            The talisman of trust
          </a>
          <!-- <router-link to="/chapter_one" class="nav-link"
            >The king of bling</router-link
          > -->
        </li>
        <li>
          <a @click="navigate('chapter_six')" class="nav-link pointer">
            Finestar diamonds website
          </a>
          <!-- <router-link to="/chapter_one" class="nav-link"
            >The king of bling</router-link
          > -->
        </li>
        <hr />
        <li>
          <a @click="navigate('abbreviations')" class="nav-link pointer">
            Abbreviations
          </a>
          <!-- <router-link to="/abbreviations" class="nav-link"
            >Abbreviations</router-link
          > -->
        </li>
      </ul>
      <!-- social media -->
      <ul class="social-icons">
        <li>
          <a href="https://www.facebook.com/finestardiamonds" target="_blank">
            <i class="fab fa-facebook"></i>
          </a>
        </li>
        <li>
          <a href="https://twitter.com/finestard?lang=en" target="_blank">
            <i class="fab fa-twitter"></i>
          </a>
        </li>
        <li>
          <a
            href="https://www.linkedin.com/company/finestar-diamonds/"
            target="_blank"
          >
            <i class="fab fa-linkedin"></i>
          </a>
        </li>
        <li>
          <a href="https://finestardiamonds.com/" target="_blank">
            <i class="fab fa-sketch"></i>
          </a>
        </li>
      </ul>
    </aside>
    <button
      class="buttons prev"
      @click="goBack()"
      v-show="
        this.$route.name == 'introduction' || this.$route.name.includes('test')
          ? false
          : true
      "
    >
      Back
    </button>
    <button
      class="buttons next"
      @click="goForward()"
      v-show="
        this.$route.name.includes('test') ||
        this.$route.name.includes('abbreviations')
          ? false
          : true
      "
    >
      Next
    </button>
    <!-- <b-button variant="success" class="mb-2"></b-button> -->
  </div>
</template>

<script>
import { stores } from ".././main";
export default {
  data: function () {
    return {
      show: false,
      levels: [
        "chapter_one",
        "chapter_two",
        "chapter_three",
        "chapter_four",
        "chapter_five",
        "chapter_six",
        "abbreviations",
      ],
    };
  },
  mounted() {},
  methods: {
    makeToast(level) {
      this.$bvToast.toast("Chapter is locked", {
        variant: "danger",
        solid: false,
        noCloseButton: true,
      });
    },
    navigate(level) {
      if (this.levels.indexOf(level) > stores.state.count - 1) {
        this.makeToast(level);
      } else {
        this.$router.push("/" + level);
      }
    },
    goBack() {
      if (this.$route.name == "table_of_content") {
        this.$router.push("/introduction");
      } else if (this.$route.name == "chapter_one") {
        this.$router.push("/table_of_content");
      } else if (this.$route.name == "chapter_two") {
        this.$router.push("/chapter_one");
      } else if (this.$route.name == "test_two") {
        this.$router.push("/chapter_two");
      } else if (this.$route.name == "chapter_three") {
        this.$router.push("/chapter_two");
      } else if (this.$route.name == "test_three") {
        this.$router.push("/chapter_three");
      } else if (this.$route.name == "chapter_four") {
        this.$router.push("/chapter_three");
      } else if (this.$route.name == "test_four") {
        this.$router.push("/chapter_four");
      } else if (this.$route.name == "chapter_four") {
        this.$router.push("/chapter_three");
      } else if (this.$route.name == "test_five") {
        this.$router.push("/chapter_five");
      } else if (this.$route.name == "chapter_five") {
        this.$router.push("/chapter_four");
      } else if (this.$route.name == "test_six") {
        this.$router.push("/chapter_six");
      } else if (this.$route.name == "chapter_six") {
        this.$router.push("/chapter_five");
      } else if (this.$route.name == "abbreviations") {
        this.$router.push("/chapter_six");
      }
    },
    goForward() {
      if (this.$route.name == "introduction") {
        this.$router.push("/table_of_content");
      } else if (this.$route.name == "table_of_content") {
        this.$router.push("/chapter_one");
      } else if (this.$route.name == "chapter_one") {
        this.$router.push("/chapter_two");
      } else if (this.$route.name == "chapter_two") {
        this.$router.push("/test_two");
      } else if (this.$route.name == "chapter_three") {
        this.$router.push("/test_three");
      } else if (this.$route.name == "chapter_four") {
        this.$router.push("/test_four");
      } else if (this.$route.name == "chapter_five") {
        this.$router.push("/test_five");
      } else if (this.$route.name == "chapter_six") {
        this.$router.push("/test_six");
      }
    },
  },
};
</script>

<style scoped>
*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.prev {
  right: 6em;
}
.next {
  right: 1em;
}
.button6 {
  color: #2b030e;
}
.pointer {
  cursor: pointer;
}
.button6:hover {
  transform: scale(0.9, 0.9) translate(0px, 5px);

  filter: drop-shadow(0px 0px 10px);
}
.button6:active {
  background: #3f444c;
}
.button6:focus {
  outline: 50px;
}
hr {
  color: #c09e7c;
}
.buttons {
  cursor: pointer;
  line-height: 0.1em;
  position: fixed;
  bottom: 1em;
  font-size: 20px;
  z-index: 5;
  padding: 1em;
  background: #c09e7c;
  border: none;
  border-radius: 20px;
  color: #fff;
  box-shadow: 5px 10px 18px #888888;
}
.buttons:active {
  transform: scale(0.9, 0.9) translate(0px, 5px);
  filter: drop-shadow(0px 0px 10px);
}
.button6 {
  cursor: pointer;
  line-height: 0.1em;
  font-family: "Poor Story", light;
  filter: drop-shadow(18px 18px 3px rgba(0, 0, 0, 0.4));
  position: fixed;
  bottom: 1em;
  font-size: 20px;
  background: rgba(43, 43, 43, 0.31);
  border-style: solid;
  border-color: #252528;
  border-radius: 9px;
  border-width: 1px;
  z-index: 5;
  transition: all 0.2s ease-in-out;
  padding: 1em;
}

body {
  margin: 0px !important;
  /* background: white; */
  color: white;
  line-height: 1.5;
  font-size: 0.875rem;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
}

@keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}
.sidebar-toggle {
  position: fixed;
  right: 0;
  animation: bounce 2s ease-in-out infinite;
  float: right;
  background: transparent;
  color: #c09e7c;
  border: none;
  font-size: 1.5rem;
  margin: 1.7em;
  cursor: pointer;
  outline: none;
  z-index: 5;
}

.sidebar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 1.5rem;
}

.close-btn {
  font-size: 1.5rem;
  background: transparent;
  border-color: transparent;
  color: #c09e7c;
  transition: 1s ease all;
  cursor: pointer;
  outline: none;
}
.close-btn:hover {
  color: #cdb398;
  transform: rotate(360deg);
}
.logo {
  justify-self: center;
  align-items: center;
  width: 100px;
}

.links {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.links a {
  display: block;
  font-size: 1.1rem;
  text-transform: uppercase;
  padding: 1rem 1.5rem;
  color: #c09e7c;
  transition: 1s all ease;
}

.links a:hover {
  color: #cdb398;
  transform: scale(1.2);
}
.social-icons {
  justify-self: center;
  display: flex;
  padding-bottom: 2rem;
}
.social-icons a {
  font-size: 1.5rem;
  margin: 0 0.5rem;
  color: #c09e7c;
  transition: 1s all ease;
}
.social-icons a:hover {
  color: #cdb398;
}

.sidebar {
  overflow: auto;
  position: fixed;
  z-index: 1000;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #19171b;
  display: grid;
  grid-template-rows: auto 1fr auto;
  row-gap: 1rem;
  transition: 1s all ease-in-out;
  transform: translate(-100%);
}
::-webkit-scrollbar {
  width: 20px;
}
::-webkit-scrollbar-track {
  background-color: transparent;
}
::-webkit-scrollbar-thumb {
  background-color: #c09e7c;
  border-radius: 20px;
  border: 6px solid transparent;
  background-clip: content-box;
}

.show_sidebar {
  transform: translate(0);
}
@media screen and (min-width: 676px) {
  .sidebar {
    width: 400px;
  }
}
</style>